Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

beneficiaryId
string<uuid>
required

The unique identifier for the beneficiary

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Response

Get beneficiary response

name
string
required
Example:

"John Doe"

countryCode
string
required

The country code of the beneficiary in ISO 3166-1 alpha-2 format

Example:

"KE"

currency
string
required

The currency of the beneficiary in ISO 4217 format

Example:

"KES"

paymentDetails
object
required
kyc
object
required

KYC attributes for a beneficiary

id
string<uuid>
required
Example:

"7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"

createdTimestamp
integer
required

Unix timestamp when the beneficiary was created

Example:

1748478276

lastUpdatedTimestamp
integer
required

Unix timestamp when the beneficiary was last updated

Example:

1748478276

email
string<email>
Example:

"john.doe@example.com"